#pragma once

#include <objmodel.h>

class CGraphWnd : public Gtk::Frame, public IGraphWnd
{
public:
	CGraphWnd(ISysMonWnd* pParent, unsigned int index, bool_t bVisible);
	virtual ~CGraphWnd();
  // IDeviceInfoWnd interface
  void deviceChanged();
  control_handle_t getNativeControl() { return *this; }
  ISysMonWnd* getParent() const { return m_pParent; }
  IGraphWndToolbar* getToolbar(void) const { return m_pToolbar; }
  IScopeWnd* getScope() const { return m_pScope; }
  void setIndex(unsigned int index);

protected:
  ISysMonWnd* m_pParent;
  IGraphWndToolbar* m_pToolbar;
  IScopeWnd* m_pScope;
  unsigned int m_index;
  Gtk::VBox m_vBoxCtl;
};
